<?
	function cart_add_item($id, $count=1)
	{
		$id = intval($id);
		$count = intval($count);
		
		if (isset($_SESSION['cart'][$id]))
		{
			$_SESSION['cart'][$id] += $count;
		}
		else
		{
			$_SESSION['cart'][$id] = $count;
		}
	}
	
	function cart_set_count($id, $count)
	{
		$id = intval($id);
		$count = intval($count);
		
		$_SESSION['cart'][$id] = $count;
	}
	
	function cart_delete_item($id, $count=0)
	{
		$count = intval($count);
		
		if (isset($_SESSION['cart'][$id]))
		{
			if ($count == 0)
			{
				$_SESSION['cart'][$id] = 0;
			}
			else
			{
				$_SESSION['cart'][$id] -= $count;
			}
			
			if ($_SESSION['cart'][$id] < 1)
			{
				unset($_SESSION['cart'][$id]);
			}
		}
	}
	
	function cart_get_item($id)
	{
		if (isset($_SESSION['cart'][$id]))
		{
			return $_SESSION['cart'][$id];
		}
		
		return false;
	}
	
	function cart_get_items()
	{
		return $_SESSION['cart'];
	}
	
	function cart_get_preorder_html($button_name, $action, $partner_id)
	{
		$items = cart_get_items();
		
		$html = '<form method="post" action="'.$action.'?partner='.$partner_id.'">';
		
		if (is_array($items))
		{
			foreach ($items as $id => $count)
			{
				$html .= '<input type="hidden" name="item['.$id.']" value="'.$count.'">';
			}
		}
		
		$html .= '<input type="submit" value="'.$button_name.'">';
		$html .= '</form>';
		
		return $html;
	}
?>